#include "mesh.h"

Mesh::Mesh()
{
  verts=0;
  colors=0;
  tris=0;

  nbrVerts=0;
  nbrTris=0;
}

Mesh::~Mesh()
{
  delete [] verts;
  delete [] colors;
  delete [] tris;
}

void Mesh::initVerts(int p_nbrVerts)
{
  nbrVerts=p_nbrVerts;
  verts =new Vertex[nbrVerts];
  colors=new Color[nbrVerts];
}

void Mesh::initTris(int p_nbrTris)
{
  nbrTris=p_nbrTris;
  tris=new Triangle[nbrTris];
}
