#ifndef MESH_H
#define MESH_H

struct Color
{
  float r,g,b;
};

struct Vertex
{
  float x,y,z;
};

struct Triangle
{
  unsigned int vert[3];
};


class Mesh
{
public:
  Mesh();
  virtual ~Mesh();

  void initVerts(int nbrVerts);
  void initTris(int nbrTris);

  Vertex   *verts;
  int       nbrVerts;
  Color    *colors;
  Triangle *tris;
  int       nbrTris;

};


#endif